Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.enterprisedt.net.ftp
Class FTPInputStream

    java.lang.Object
      java.io.InputStream
          com.enterprisedt.net.ftp.FileTransferInputStream
              com.enterprisedt.net.ftp.FTPInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class FTPInputStream

extends FileTransferInputStream

Represents an input stream of bytes coming from an FTP server, permitting the user to download a file by reading the stream. It can only be used for one download, i.e. after the stream is closed it cannot be reopened.

Version:
  $Revision: 1.1 $
Author:
  Bruce Blackshaw

Field Summary

Fields inherited from class com.enterprisedt.net.ftp.FileTransferInputStream
`closed, remoteFile`

Constructor Summary
`FTPInputStream(FTPClient client, java.lang.String remoteFile)` Constructor.

Method Summary
`void` | `close()` Closes this input stream and releases any system resources associated with the stream.
`int` | `read()` Reads the next byte of data from the input stream.
`int` | `read(byte[] b, int off, int len)` Reads up to len bytes of data from the input stream into an array of bytes.
`void` | `setMonitor(FTPProgressMonitorEx monitor, long monitorInterval)` The input stream uses the progress monitor currently owned by the FTP client.

Methods inherited from class com.enterprisedt.net.ftp.FileTransferInputStream
`getRemoteFile`

Methods inherited from class java.io.InputStream
`available, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FTPInputStream

    public FTPInputStream(FTPClient client,
                          java.lang.String remoteFile)
                   throws java.io.IOException,
                          FTPException

  Constructor. A connected FTPClient instance must be supplied. This sets up the download

  Parameters:
    `client` - connected FTPClient instance
    `remoteFile` - remote file
  Throws:
    `java.io.IOException`
    `FTPException`

Method Detail

### setMonitor

    public void setMonitor(FTPProgressMonitorEx monitor,
                           long monitorInterval)

  The input stream uses the progress monitor currently owned by the FTP client. This method allows a different progress monitor to be passed in, or for the monitor interval to be altered.

  Parameters:
    `monitor` - progress monitor reference
    `monitorInterval` -

### read

    public int read()
             throws java.io.IOException

  Reads the next byte of data from the input stream. The value byte is returned as an int in the range 0 to 255. If no byte is available because the end of the stream has been reached, the value -1 is returned. This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.

  Specified by:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Reads up to len bytes of data from the input stream into an array of bytes. An attempt is made to read as many as len bytes, but a smaller number may be read, possibly zero. The number of bytes actually read is returned as an integer. This method blocks until input data is available, end of file is detected, or an exception is thrown.

  Overrides:
    `read` in class `java.io.InputStream`
  Parameters:
    `b` - array to read into
    `off` - offset into the array to start at
    `len` - the number of bytes to be read
  Returns:
    the number of bytes read, or -1 if the end of the stream has been reached.
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Closes this input stream and releases any system resources associated with the stream. This must be called before any other operations are initiated on the FTPClient.

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.InputStream`
  Throws:
    `java.io.IOException` - if an I/O error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2007 Enterprise Distributed Technologies Ltd. All Rights Reserved.